import * as eslint from 'eslint';

declare const _default: {
    configs: {
        'flat/jest-playwright': {
            languageOptions: {
                globals: any;
            };
            plugins: {
                playwright: {
                    configs: {};
                    rules: {
                        'expect-expect': eslint.Rule.RuleModule;
                        'max-expects': eslint.Rule.RuleModule;
                        'max-nested-describe': eslint.Rule.RuleModule;
                        'missing-playwright-await': eslint.Rule.RuleModule;
                        'no-commented-out-tests': eslint.Rule.RuleModule;
                        'no-conditional-expect': eslint.Rule.RuleModule;
                        'no-conditional-in-test': eslint.Rule.RuleModule;
                        'no-duplicate-hooks': eslint.Rule.RuleModule;
                        'no-element-handle': eslint.Rule.RuleModule;
                        'no-eval': eslint.Rule.RuleModule;
                        'no-focused-test': eslint.Rule.RuleModule;
                        'no-force-option': eslint.Rule.RuleModule;
                        'no-get-by-title': eslint.Rule.RuleModule;
                        'no-hooks': eslint.Rule.RuleModule;
                        'no-nested-step': eslint.Rule.RuleModule;
                        'no-networkidle': eslint.Rule.RuleModule;
                        'no-nth-methods': eslint.Rule.RuleModule;
                        'no-page-pause': eslint.Rule.RuleModule;
                        'no-raw-locators': eslint.Rule.RuleModule;
                        'no-restricted-matchers': eslint.Rule.RuleModule;
                        'no-skipped-test': eslint.Rule.RuleModule;
                        'no-standalone-expect': eslint.Rule.RuleModule;
                        'no-unsafe-references': eslint.Rule.RuleModule;
                        'no-useless-await': eslint.Rule.RuleModule;
                        'no-useless-not': eslint.Rule.RuleModule;
                        'no-wait-for-selector': eslint.Rule.RuleModule;
                        'no-wait-for-timeout': eslint.Rule.RuleModule;
                        'prefer-comparison-matcher': eslint.Rule.RuleModule;
                        'prefer-equality-matcher': eslint.Rule.RuleModule;
                        'prefer-hooks-in-order': eslint.Rule.RuleModule;
                        'prefer-hooks-on-top': eslint.Rule.RuleModule;
                        'prefer-lowercase-title': eslint.Rule.RuleModule;
                        'prefer-strict-equal': eslint.Rule.RuleModule;
                        'prefer-to-be': eslint.Rule.RuleModule;
                        'prefer-to-contain': eslint.Rule.RuleModule;
                        'prefer-to-have-count': eslint.Rule.RuleModule;
                        'prefer-to-have-length': eslint.Rule.RuleModule;
                        'prefer-web-first-assertions': eslint.Rule.RuleModule;
                        'require-hook': eslint.Rule.RuleModule;
                        'require-soft-assertions': eslint.Rule.RuleModule;
                        'require-to-throw-message': eslint.Rule.RuleModule;
                        'require-top-level-describe': eslint.Rule.RuleModule;
                        'valid-describe-callback': eslint.Rule.RuleModule;
                        'valid-expect': eslint.Rule.RuleModule;
                        'valid-expect-in-promise': eslint.Rule.RuleModule;
                        'valid-title': eslint.Rule.RuleModule;
                    };
                };
            };
            rules: {
                readonly 'jest/no-standalone-expect': readonly ["error", {
                    readonly additionalTestBlockFunctions: readonly ["test.jestPlaywrightDebug", "it.jestPlaywrightDebug", "test.jestPlaywrightSkip", "it.jestPlaywrightSkip", "test.jestPlaywrightConfig", "it.jestPlaywrightConfig"];
                }];
                readonly 'playwright/missing-playwright-await': "error";
                readonly 'playwright/no-page-pause': "warn";
            };
        };
        'flat/recommended': {
            languageOptions: {
                globals: any;
            };
            plugins: {
                playwright: {
                    configs: {};
                    rules: {
                        'expect-expect': eslint.Rule.RuleModule;
                        'max-expects': eslint.Rule.RuleModule;
                        'max-nested-describe': eslint.Rule.RuleModule;
                        'missing-playwright-await': eslint.Rule.RuleModule;
                        'no-commented-out-tests': eslint.Rule.RuleModule;
                        'no-conditional-expect': eslint.Rule.RuleModule;
                        'no-conditional-in-test': eslint.Rule.RuleModule;
                        'no-duplicate-hooks': eslint.Rule.RuleModule;
                        'no-element-handle': eslint.Rule.RuleModule;
                        'no-eval': eslint.Rule.RuleModule;
                        'no-focused-test': eslint.Rule.RuleModule;
                        'no-force-option': eslint.Rule.RuleModule;
                        'no-get-by-title': eslint.Rule.RuleModule;
                        'no-hooks': eslint.Rule.RuleModule;
                        'no-nested-step': eslint.Rule.RuleModule;
                        'no-networkidle': eslint.Rule.RuleModule;
                        'no-nth-methods': eslint.Rule.RuleModule;
                        'no-page-pause': eslint.Rule.RuleModule;
                        'no-raw-locators': eslint.Rule.RuleModule;
                        'no-restricted-matchers': eslint.Rule.RuleModule;
                        'no-skipped-test': eslint.Rule.RuleModule;
                        'no-standalone-expect': eslint.Rule.RuleModule;
                        'no-unsafe-references': eslint.Rule.RuleModule;
                        'no-useless-await': eslint.Rule.RuleModule;
                        'no-useless-not': eslint.Rule.RuleModule;
                        'no-wait-for-selector': eslint.Rule.RuleModule;
                        'no-wait-for-timeout': eslint.Rule.RuleModule;
                        'prefer-comparison-matcher': eslint.Rule.RuleModule;
                        'prefer-equality-matcher': eslint.Rule.RuleModule;
                        'prefer-hooks-in-order': eslint.Rule.RuleModule;
                        'prefer-hooks-on-top': eslint.Rule.RuleModule;
                        'prefer-lowercase-title': eslint.Rule.RuleModule;
                        'prefer-strict-equal': eslint.Rule.RuleModule;
                        'prefer-to-be': eslint.Rule.RuleModule;
                        'prefer-to-contain': eslint.Rule.RuleModule;
                        'prefer-to-have-count': eslint.Rule.RuleModule;
                        'prefer-to-have-length': eslint.Rule.RuleModule;
                        'prefer-web-first-assertions': eslint.Rule.RuleModule;
                        'require-hook': eslint.Rule.RuleModule;
                        'require-soft-assertions': eslint.Rule.RuleModule;
                        'require-to-throw-message': eslint.Rule.RuleModule;
                        'require-top-level-describe': eslint.Rule.RuleModule;
                        'valid-describe-callback': eslint.Rule.RuleModule;
                        'valid-expect': eslint.Rule.RuleModule;
                        'valid-expect-in-promise': eslint.Rule.RuleModule;
                        'valid-title': eslint.Rule.RuleModule;
                    };
                };
            };
            rules: {
                readonly 'no-empty-pattern': "off";
                readonly 'playwright/expect-expect': "warn";
                readonly 'playwright/max-nested-describe': "warn";
                readonly 'playwright/missing-playwright-await': "error";
                readonly 'playwright/no-conditional-expect': "warn";
                readonly 'playwright/no-conditional-in-test': "warn";
                readonly 'playwright/no-element-handle': "warn";
                readonly 'playwright/no-eval': "warn";
                readonly 'playwright/no-focused-test': "error";
                readonly 'playwright/no-force-option': "warn";
                readonly 'playwright/no-nested-step': "warn";
                readonly 'playwright/no-networkidle': "error";
                readonly 'playwright/no-page-pause': "warn";
                readonly 'playwright/no-skipped-test': "warn";
                readonly 'playwright/no-standalone-expect': "error";
                readonly 'playwright/no-unsafe-references': "error";
                readonly 'playwright/no-useless-await': "warn";
                readonly 'playwright/no-useless-not': "warn";
                readonly 'playwright/no-wait-for-selector': "warn";
                readonly 'playwright/no-wait-for-timeout': "warn";
                readonly 'playwright/prefer-web-first-assertions': "error";
                readonly 'playwright/valid-describe-callback': "error";
                readonly 'playwright/valid-expect': "error";
                readonly 'playwright/valid-expect-in-promise': "error";
                readonly 'playwright/valid-title': "error";
            };
        };
        'jest-playwright': {
            env: {
                jest: boolean;
                'shared-node-browser': boolean;
            };
            globals: {
                browser: boolean;
                browserName: boolean;
                context: boolean;
                deviceName: boolean;
                jestPlaywright: boolean;
                page: boolean;
            };
            plugins: string[];
            rules: {
                readonly 'jest/no-standalone-expect': readonly ["error", {
                    readonly additionalTestBlockFunctions: readonly ["test.jestPlaywrightDebug", "it.jestPlaywrightDebug", "test.jestPlaywrightSkip", "it.jestPlaywrightSkip", "test.jestPlaywrightConfig", "it.jestPlaywrightConfig"];
                }];
                readonly 'playwright/missing-playwright-await': "error";
                readonly 'playwright/no-page-pause': "warn";
            };
        };
        'playwright-test': {
            env: {
                'shared-node-browser': boolean;
            };
            plugins: string[];
            rules: {
                readonly 'no-empty-pattern': "off";
                readonly 'playwright/expect-expect': "warn";
                readonly 'playwright/max-nested-describe': "warn";
                readonly 'playwright/missing-playwright-await': "error";
                readonly 'playwright/no-conditional-expect': "warn";
                readonly 'playwright/no-conditional-in-test': "warn";
                readonly 'playwright/no-element-handle': "warn";
                readonly 'playwright/no-eval': "warn";
                readonly 'playwright/no-focused-test': "error";
                readonly 'playwright/no-force-option': "warn";
                readonly 'playwright/no-nested-step': "warn";
                readonly 'playwright/no-networkidle': "error";
                readonly 'playwright/no-page-pause': "warn";
                readonly 'playwright/no-skipped-test': "warn";
                readonly 'playwright/no-standalone-expect': "error";
                readonly 'playwright/no-unsafe-references': "error";
                readonly 'playwright/no-useless-await': "warn";
                readonly 'playwright/no-useless-not': "warn";
                readonly 'playwright/no-wait-for-selector': "warn";
                readonly 'playwright/no-wait-for-timeout': "warn";
                readonly 'playwright/prefer-web-first-assertions': "error";
                readonly 'playwright/valid-describe-callback': "error";
                readonly 'playwright/valid-expect': "error";
                readonly 'playwright/valid-expect-in-promise': "error";
                readonly 'playwright/valid-title': "error";
            };
        };
        recommended: {
            env: {
                'shared-node-browser': boolean;
            };
            plugins: string[];
            rules: {
                readonly 'no-empty-pattern': "off";
                readonly 'playwright/expect-expect': "warn";
                readonly 'playwright/max-nested-describe': "warn";
                readonly 'playwright/missing-playwright-await': "error";
                readonly 'playwright/no-conditional-expect': "warn";
                readonly 'playwright/no-conditional-in-test': "warn";
                readonly 'playwright/no-element-handle': "warn";
                readonly 'playwright/no-eval': "warn";
                readonly 'playwright/no-focused-test': "error";
                readonly 'playwright/no-force-option': "warn";
                readonly 'playwright/no-nested-step': "warn";
                readonly 'playwright/no-networkidle': "error";
                readonly 'playwright/no-page-pause': "warn";
                readonly 'playwright/no-skipped-test': "warn";
                readonly 'playwright/no-standalone-expect': "error";
                readonly 'playwright/no-unsafe-references': "error";
                readonly 'playwright/no-useless-await': "warn";
                readonly 'playwright/no-useless-not': "warn";
                readonly 'playwright/no-wait-for-selector': "warn";
                readonly 'playwright/no-wait-for-timeout': "warn";
                readonly 'playwright/prefer-web-first-assertions': "error";
                readonly 'playwright/valid-describe-callback': "error";
                readonly 'playwright/valid-expect': "error";
                readonly 'playwright/valid-expect-in-promise': "error";
                readonly 'playwright/valid-title': "error";
            };
        };
    };
    rules: {
        'expect-expect': eslint.Rule.RuleModule;
        'max-expects': eslint.Rule.RuleModule;
        'max-nested-describe': eslint.Rule.RuleModule;
        'missing-playwright-await': eslint.Rule.RuleModule;
        'no-commented-out-tests': eslint.Rule.RuleModule;
        'no-conditional-expect': eslint.Rule.RuleModule;
        'no-conditional-in-test': eslint.Rule.RuleModule;
        'no-duplicate-hooks': eslint.Rule.RuleModule;
        'no-element-handle': eslint.Rule.RuleModule;
        'no-eval': eslint.Rule.RuleModule;
        'no-focused-test': eslint.Rule.RuleModule;
        'no-force-option': eslint.Rule.RuleModule;
        'no-get-by-title': eslint.Rule.RuleModule;
        'no-hooks': eslint.Rule.RuleModule;
        'no-nested-step': eslint.Rule.RuleModule;
        'no-networkidle': eslint.Rule.RuleModule;
        'no-nth-methods': eslint.Rule.RuleModule;
        'no-page-pause': eslint.Rule.RuleModule;
        'no-raw-locators': eslint.Rule.RuleModule;
        'no-restricted-matchers': eslint.Rule.RuleModule;
        'no-skipped-test': eslint.Rule.RuleModule;
        'no-standalone-expect': eslint.Rule.RuleModule;
        'no-unsafe-references': eslint.Rule.RuleModule;
        'no-useless-await': eslint.Rule.RuleModule;
        'no-useless-not': eslint.Rule.RuleModule;
        'no-wait-for-selector': eslint.Rule.RuleModule;
        'no-wait-for-timeout': eslint.Rule.RuleModule;
        'prefer-comparison-matcher': eslint.Rule.RuleModule;
        'prefer-equality-matcher': eslint.Rule.RuleModule;
        'prefer-hooks-in-order': eslint.Rule.RuleModule;
        'prefer-hooks-on-top': eslint.Rule.RuleModule;
        'prefer-lowercase-title': eslint.Rule.RuleModule;
        'prefer-strict-equal': eslint.Rule.RuleModule;
        'prefer-to-be': eslint.Rule.RuleModule;
        'prefer-to-contain': eslint.Rule.RuleModule;
        'prefer-to-have-count': eslint.Rule.RuleModule;
        'prefer-to-have-length': eslint.Rule.RuleModule;
        'prefer-web-first-assertions': eslint.Rule.RuleModule;
        'require-hook': eslint.Rule.RuleModule;
        'require-soft-assertions': eslint.Rule.RuleModule;
        'require-to-throw-message': eslint.Rule.RuleModule;
        'require-top-level-describe': eslint.Rule.RuleModule;
        'valid-describe-callback': eslint.Rule.RuleModule;
        'valid-expect': eslint.Rule.RuleModule;
        'valid-expect-in-promise': eslint.Rule.RuleModule;
        'valid-title': eslint.Rule.RuleModule;
    };
};

export { _default as default };
